[svn] r6027 - in trunk/rpms: . bcrypt dovecot freedup perl-any python-bcrypt synbak synce ushare

packagers at lists.rpmforge.net packagers at lists.rpmforge.net
Sat Dec 1 00:24:32 CET 2007


Author: dag
Date: 2007-12-01 00:24:19 +0100 (Sat, 01 Dec 2007)
New Revision: 6027

Added:
   trunk/rpms/bcrypt/
   trunk/rpms/bcrypt/bcrypt.spec
   trunk/rpms/perl-any/
   trunk/rpms/perl-any/perl-any.spec
   trunk/rpms/python-bcrypt/
   trunk/rpms/python-bcrypt/python-bcrypt.spec
Modified:
   trunk/rpms/dovecot/dovecot.spec
   trunk/rpms/freedup/freedup.spec
   trunk/rpms/synbak/synbak.spec
   trunk/rpms/synce/synce.spec
   trunk/rpms/ushare/ushare.spec
Log:
Updates

Added: trunk/rpms/bcrypt/bcrypt.spec
===================================================================
--- trunk/rpms/bcrypt/bcrypt.spec	                        (rev 0)
+++ trunk/rpms/bcrypt/bcrypt.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -0,0 +1,59 @@
+# $Id$
+# Authority: dag
+# Upstream: 
+
+Summary: File encryption utility
+Name: bcrypt
+Version: 1.1
+Release: 1
+License: GPL
+Group: Applications/File
+URL: http://bcrypt.sourceforge.net/
+
+Source: http://bcrypt.sourceforge.net/bcrypt-%{version}.tar.gz
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
+
+%description
+Bcrypt is a cross platform file encryption utility. Encrypted files are
+portable across all supported operating systems and processors.
+Passphrases must be between 8 and 56 characters and are hashed internally
+to a 448 bit key. However, all characters supplied are significant. The
+stronger your passphrase, the more secure your data.
+
+In addition to encrypting your data, bcrypt will by default overwrite the
+original input file with random garbage three times before deleting it in
+order to thwart data recovery attempts by persons who may gain access to
+your computer. If you're not quite ready for this level of paranoia yet,
+see the installation instructions below for how to disable this feature.
+If you don't think this is paranoid enough.. see below.
+
+Bcrypt uses the blowfish encryption algorithm published by Bruce Schneier
+in 1993. More information on the algorithm can be found at Counterpane.
+Specifically, bcrypt uses Paul Kocher's implementation of the algorithm.
+The source distributed with bcrypt has been slightly altered from the
+original.
+
+%prep
+%setup
+
+%{__perl} -pi.orig -e 's|\${PREFIX}/man/man1|\${PREFIX}/share/man/man1|g' Makefile
+
+%build
+%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"
+
+%install
+%{__rm} -rf %{buildroot}
+%{__make} install PREFIX="%{buildroot}%{_prefix}"
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%files
+%defattr(-, root, root, 0755)
+%doc LICENSE README
+%doc %{_mandir}/man1/bcrypt.1*
+%{_bindir}/bcrypt
+
+%changelog
+* Fri Nov 30 2007 Dag Wieers <dag at wieers.com> - 1.1-1
+- Initial package. (using DAR)


Property changes on: trunk/rpms/bcrypt/bcrypt.spec
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:eol-style
   + native

Modified: trunk/rpms/dovecot/dovecot.spec
===================================================================
--- trunk/rpms/dovecot/dovecot.spec	2007-11-30 13:39:19 UTC (rev 6026)
+++ trunk/rpms/dovecot/dovecot.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -3,14 +3,14 @@
 # Upstream: Timo Sirainen <tss$iki,fi>
 # Upstream: <dovecot$dovecot,org>
 
-# ExcludeDist: fc3 el4
+##ExcludeDist: fc3 el4
 
 %define logmsg logger -t %{name}/rpm
 
 Summary: Secure IMAP server
 Name: dovecot
-Version: 0.99.14
-Release: 1.2
+Version: 1.0.2
+Release: 1
 License: GPL
 Group: System Environment/Daemons
 URL: http://dovecot.org/
@@ -223,9 +223,15 @@
 %{_localstatedir}/run/dovecot-login/
 
 %changelog
-* Sat Apr 08 2006 Dries Verachtert <dries at ulyssis.org> - 0.99.14-1.2
-- Rebuild for Fedora Core 5.
+* Thu Jul 19 2007 Dag Wieers <dag at wieers.com> - 1.0.2-1
+- Updated to release 1.0.2.
 
+* Sat Jun 16 2007 Dag Wieers <dag at wieers.com> - 1.0.1-1
+- Updated to release 1.0.1.
+
+* Sun Apr 15 2007 Dag Wieers <dag at wieers.com> - 1.0.0-1
+- Updated to release 1.0.0.
+
 * Sun Jan 09 2005 Dag Wieers <dag at wieers.com> - 0.99.13-1
 - Updated to release 0.99.13.
 

Modified: trunk/rpms/freedup/freedup.spec
===================================================================
--- trunk/rpms/freedup/freedup.spec	2007-11-30 13:39:19 UTC (rev 6026)
+++ trunk/rpms/freedup/freedup.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -3,9 +3,9 @@
 
 Summary: Reclaim space on your drive
 Name: freedup
-%define real_version 1.0-5
-Version: 1.0.5
-Release: 3
+%define real_version 1.1-1
+Version: 1.1.1
+Release: 1
 License: GPL
 Group: Applications/File
 URL: http://software.neuper.de/freedup/
@@ -24,7 +24,7 @@
 content.
 
 %prep
-%setup -n %{name}-1.0
+%setup -n %{name}-1.1
 
 %build
 %{__make} %{?_smp_mflags} freedup
@@ -44,6 +44,9 @@
 %{_bindir}/freedup
 
 %changelog
+* Fri Nov 30 2007 Dag Wieers <dag at wieers.com> - 1.1.1-1
+- Updated to release 1.1-1.
+
 * Sun Nov 11 2007 Dag Wieers <dag at wieers.com> - 1.0.5-3
 - Fix group tag. (really!)
 

Added: trunk/rpms/perl-any/perl-any.spec
===================================================================
--- trunk/rpms/perl-any/perl-any.spec	                        (rev 0)
+++ trunk/rpms/perl-any/perl-any.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -0,0 +1,53 @@
+# $Id$
+# Authority: dag
+
+%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
+%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
+
+%define real_name any
+%define real_version 0.000001
+
+Summary: Use any modules in the list that are available
+Name: perl-any
+Version: 0.0.1
+Release: 1
+License: Artistic/GPL
+Group: Applications/CPAN
+URL: http://search.cpan.org/dist/any/
+
+Source: http://www.cpan.org/authors/id/D/DM/DMUEY/any-v%{version}.tar.gz
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
+
+BuildArch: noarch
+BuildRequires: perl
+
+%description
+Use any modules in the list that are available.
+
+%prep
+%setup -n %{real_name}-v%{version}
+
+%build
+%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
+%{__make} %{?_smp_mflags}
+
+%install
+%{__rm} -rf %{buildroot}
+%{__make} pure_install
+
+### Clean up buildroot
+find %{buildroot} -name .packlist -exec %{__rm} {} \;
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%files
+%defattr(-, root, root, 0755)
+%doc Changes MANIFEST META.yml README
+%doc %{_mandir}/man3/any.3pm*
+#%{perl_vendorlib}/any/
+%{perl_vendorlib}/any.pm
+
+%changelog
+* Fri Nov 30 2007 Dag Wieers <dag at wieers.com> - 0.0.1-1
+- Initial package. (using DAR)


Property changes on: trunk/rpms/perl-any/perl-any.spec
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:eol-style
   + native

Added: trunk/rpms/python-bcrypt/python-bcrypt.spec
===================================================================
--- trunk/rpms/python-bcrypt/python-bcrypt.spec	                        (rev 0)
+++ trunk/rpms/python-bcrypt/python-bcrypt.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -0,0 +1,56 @@
+# $Id$
+# Authority: dag
+# Upstream: Domenico Andreoli <cavok$tiscali,it>
+
+%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
+
+%define real_name py-bcrypt
+
+Summary: Python bindings for OpenBSD's Blowfish password hashing code
+Name: python-bcrypt
+Version: 0.1
+Release: 1
+License: GPL
+Group: Development/Libraries
+URL: http://www.mindrot.org/projects/py-bcrypt/
+
+Source: http://www.mindrot.org/files/py-bcrypt/py-bcrypt-%{version}.tar.gz
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
+
+BuildRequires: python-devel
+Requires: python
+
+%description
+python-bcrypt is a Python wrapper of OpenBSD's Blowfish password hashing
+code, as described in "A Future-Adaptable Password Scheme" by Niels
+Provos and David Mazières.
+
+This system hashes passwords using a version of Bruce Schneier's Blowfish
+block cipher with modifications designed to raise the cost of off-line
+password cracking and frustrate fast hardware implementation. The
+computation cost of the algorithm is parametised, so it can be increased
+as computers get faster. The intent is to make a compromise of a password
+database less likely to result in an attacker gaining knowledge of the
+plaintext passwords (e.g. using John the Ripper). 
+
+%prep
+%setup -n %{real_name}-%{version}
+
+%build
+CFLAGS="%{optflags}" %{__python} setup.py build
+
+%install
+%{__rm} -rf %{buildroot}
+%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%files
+%defattr(-, root, root, 0755)
+%doc ChangeLog LICENSE MANIFEST README TODO
+%{python_sitearch}/bcrypt/
+
+%changelog
+* Fri Nov 30 2007 Dag Wieers <dag at wieers.com> - 0.1-1
+- Initial package. (using DAR)

Modified: trunk/rpms/synbak/synbak.spec
===================================================================
--- trunk/rpms/synbak/synbak.spec	2007-11-30 13:39:19 UTC (rev 6026)
+++ trunk/rpms/synbak/synbak.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -4,7 +4,7 @@
 
 Summary: Universal backup system
 Name: synbak
-Version: 1.0.10
+Version: 1.0.12
 Release: 1
 License: GPL
 Group: Applications/File
@@ -54,6 +54,9 @@
 %{_datadir}/synbak/
 
 %changelog
+* Fri Nov 30 2007 Dag Wieers <dag at wieers.com> - 1.0.12-1
+- Updated to release 1.0.12.
+
 * Sat Oct 14 2006 Dag Wieers <dag at wieers.com> - 1.0.10-1
 - Updated to release 1.0.10.
 

Modified: trunk/rpms/synce/synce.spec
===================================================================
--- trunk/rpms/synce/synce.spec	2007-11-30 13:39:19 UTC (rev 6026)
+++ trunk/rpms/synce/synce.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -4,7 +4,7 @@
 Summary: Serial connection support for Pocket PC devices
 Name: synce
 Version: 0.9.1
-Release: 10
+Release: 11
 License: MIT
 Group: Applications/Communications
 URL: http://synce.sourceforge.net/
@@ -189,6 +189,9 @@
 %{_datadir}/aclocal/*.m4
 
 %changelog
+* Sun Nov 25 2007 Dag Wieers <dag at wieers.com> - 0.9.1-11
+- Fix group tag.
+
 * Sun Aug 12 2007 Heiko Adams <info at fedora-blog.de> - 0.9.1-10
 - Rebuild for RPMforge.
 

Modified: trunk/rpms/ushare/ushare.spec
===================================================================
--- trunk/rpms/ushare/ushare.spec	2007-11-30 13:39:19 UTC (rev 6026)
+++ trunk/rpms/ushare/ushare.spec	2007-11-30 23:24:19 UTC (rev 6027)
@@ -5,7 +5,7 @@
 
 Summary: Universal Plug'nPlay (uPNP) Media Server
 Name: ushare
-Version: 1.0
+Version: 1.1
 Release: 1
 License: GPL
 Group: Applications/Multimedia
@@ -14,7 +14,7 @@
 Source: http://ushare.geexbox.org/releases/ushare-%{version}.tar.bz2
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
-BuildRequires: pkgconfig >= 0.9.0, libupnp-devel
+BuildRequires: pkgconfig >= 0.9.0, libupnp-devel, libdlna-devel
 Requires(post): /sbin/chkconfig
 Requires(preun): /sbin/service, /sbin/chkconfig
 Requires(postun): /sbin/service
@@ -38,9 +38,9 @@
 # chkconfig: - 54 46
 # description: uShare UPnP Media Server
 #
-# processname: dovecot
-# config: %{_sysconfdir}/dovecot.conf
-# pidfile: %{_localstatedir}/run/dovecot
+# processname: ushare
+# config: %{_sysconfdir}/ushare.conf
+# pidfile: %{_localstatedir}/run/ushare
 
 source %{_initrddir}/functions
 
@@ -55,67 +55,68 @@
 desc="UPnP Media Server"
 
 start() {
-	echo -n $"Starting $desc ($prog): "
-	daemon --user ushare $prog -D $OPTIONS
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/$prog
-	return $RETVAL
+    echo -n $"Starting $desc ($prog): "
+    daemon --user ushare $prog -D $OPTIONS
+    RETVAL=$?
+    echo
+    [ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/$prog
+    return $RETVAL
 }
 
 stop() {
-	echo -n $"Shutting down $desc ($prog): "
-	killproc $prog
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && rm -f %{_localstatedir}/lock/subsys/$prog
-	return $RETVAL
+    echo -n $"Shutting down $desc ($prog): "
+    killproc $prog
+    RETVAL=$?
+    echo
+    [ $RETVAL -eq 0 ] && rm -f %{_localstatedir}/lock/subsys/$prog
+    return $RETVAL
 }
 
 restart() {
-	stop
-	start
+    stop
+    start
 }
 
 reload() {
-	echo -n $"Reloading $desc ($prog): "
-	killproc $prog -HUP
-	RETVAL=$?
-	echo
-	return $RETVAL
+    echo -n $"Reloading $desc ($prog): "
+    killproc $prog -HUP
+    RETVAL=$?
+    echo
+    return $RETVAL
 }
 
 case "$1" in
   start)
-	start
-	;;
+    start
+    ;;
   stop)
-	stop
-	;;
+    stop
+    ;;
   restart)
-	restart
-	;;
+    restart
+    ;;
   reload)
-	reload
-	;;
+    reload
+    ;;
   condrestart)
-	[ -e %{_localstatedir}/lock/subsys/$prog ] && restart
-	RETVAL=$?
-	;;
+    [ -e %{_localstatedir}/lock/subsys/$prog ] && restart
+    RETVAL=$?
+    ;;
   status)
-	status $prog
-	RETVAL=$?
-	;;
+    status $prog
+    RETVAL=$?
+    ;;
   *)
-	echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
-	RETVAL=1
+    echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
+    RETVAL=1
 esac
 
 exit $RETVAL
 EOF
 
 %build
-%configure
+%configure \
+    --enable-dlna
 %{__make} %{?_smp_mflags}
 
 %install
@@ -127,8 +128,8 @@
 
 %pre
 if ! /usr/bin/id ushare &>/dev/null; then
-        /usr/sbin/useradd -r -M -d %{_localstatedir}/lib/ushare -s /sbin/nologin -c "ushare service accoung" ushare || \
-                %logmsg "Unexpected error adding user \"ushare\". Aborting installation."
+    /usr/sbin/useradd -r -M -d %{_localstatedir}/lib/ushare -s /sbin/nologin -c "ushare service accoung" ushare || \
+        %logmsg "Unexpected error adding user \"ushare\". Aborting installation."
 fi
 
 %post
@@ -136,17 +137,17 @@
 
 %preun
 if [ $1 -eq 0 ]; then
-	/sbin/service ushare stop &>/dev/null || :
-	/sbin/chkconfig --del ushare
+    /sbin/service ushare stop &>/dev/null || :
+    /sbin/chkconfig --del ushare
 fi
 
 %postun
 if [ $1 -eq 0 ]; then 
-	/usr/sbin/userdel ushare || %logmsg "User \"ushare\" could not be deleted."
-	/usr/sbin/groupdel ushare || %logmsg "Group \"ushare\" could not be deleted."
+    /usr/sbin/userdel ushare || %logmsg "User \"ushare\" could not be deleted."
+    /usr/sbin/groupdel ushare || %logmsg "Group \"ushare\" could not be deleted."
 fi
 if [ $1 -ge 1 ]; then
-	/sbin/service ushare condrestart &>/dev/null || :
+    /sbin/service ushare condrestart &>/dev/null || :
 fi
 
 %clean
@@ -166,6 +167,9 @@
 %exclude %{_sysconfdir}/init.d/ushare
 
 %changelog
+* Fri Nov 23 2007 Dag Wieers <dag at wieers.com> - 1.1-1
+- Updated to release 1.1.
+
 * Fri Jul 06 2007 Dag Wieers <dag at wieers.com> - 1.0-1
 - Updated to release 1.0.
 



More information about the svn-commits mailing list